Loading...
Searching...
No Matches
standard_deviation.h File Reference
`#include "platform.h"`
`#include "functional.h"`
`#include "type_traits.h"`
`#include <math.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::private_standard_deviation::standard_deviation_traits< TInput, TCalc >
| Types for generic standard_deviation. More...
struct | etl::private_standard_deviation::standard_deviation_traits< float, TCalc >
| Types for float standard_deviation. More...
struct | etl::private_standard_deviation::standard_deviation_traits< double, TCalc >
| Types for double standard_deviation. More...
struct | etl::private_standard_deviation::standard_deviation_type_helper< T >
struct | etl::standard_deviation_type
class | etl::standard_deviation< Standard_Deviation_Type, TInput, TCalc >
| Standard Deviation. More...

## Namespaces

namespace | etl
namespace | etl::private_standard_deviation
| Standard Deviation Type.

## Variables

template<typename T>
ETL_CONSTANT bool | etl::private_standard_deviation::standard_deviation_type_helper< T >::Sample
template<typename T>
ETL_CONSTANT bool | etl::private_standard_deviation::standard_deviation_type_helper< T >::Population